import { M as Message, T as TextMessage, A as ActionExecutionMessage, R as ResultMessage, I as ImageMessage } from '../../index-adbd78f1.js';
import agui from '@copilotkit/shared';
import '../types/base/index.js';

declare function aguiToGQL(messages: agui.Message[] | agui.Message, actions?: Record<string, any>, coAgentStateRenders?: Record<string, any>): Message[];
declare function aguiTextMessageToGQLMessage(message: agui.Message): TextMessage;
declare function aguiToolCallToGQLActionExecution(toolCall: agui.ToolCall, parentMessageId: string): ActionExecutionMessage;
declare function aguiToolMessageToGQLResultMessage(message: agui.Message, toolCallNames: Record<string, string>): ResultMessage;
declare function aguiMessageWithRenderToGQL(message: agui.Message, actions?: Record<string, any>, coAgentStateRenders?: Record<string, any>): Message[];
declare function aguiMessageWithImageToGQLMessage(message: agui.Message): ImageMessage;

declare function gqlToAGUI(messages: Message[] | Message, actions?: Record<string, any>, coAgentStateRenders?: Record<string, any>): agui.Message[];
declare function gqlActionExecutionMessageToAGUIMessage(message: ActionExecutionMessage, actions?: Record<string, any>, actionResults?: Map<string, string>): agui.Message;
declare function gqlTextMessageToAGUIMessage(message: TextMessage): agui.Message;
declare function gqlResultMessageToAGUIMessage(message: ResultMessage): agui.Message;
declare function gqlImageMessageToAGUIMessage(message: ImageMessage): agui.Message;

export { aguiMessageWithImageToGQLMessage, aguiMessageWithRenderToGQL, aguiTextMessageToGQLMessage, aguiToGQL, aguiToolCallToGQLActionExecution, aguiToolMessageToGQLResultMessage, gqlActionExecutionMessageToAGUIMessage, gqlImageMessageToAGUIMessage, gqlResultMessageToAGUIMessage, gqlTextMessageToAGUIMessage, gqlToAGUI };
